#       Makefile for $(DENNOUDIR)/util/gt3-dcl5/src/gftool
#

include ../../Mkinclude

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

EXTHDRS	      = $(INCDIR)/gzsize.F

HDRS	      =

MAKEFILE      = Makefile

OBJS	      = gfopen.o \
		gfqadj.o \
		gfrdts.o \
		gfread.o \
		gfropn.o \
		gfropq.o \
		gfwrit.o

SRCS	      = gfopen.F \
		gfqadj.F \
		gfrdts.F \
		gfread.F \
		gfropn.F \
		gfropq.F \
		gfwrit.F

all: 		$(LIBRARY)

$(LIBRARY):	$(OBJS)
		$(AR) $(LIBRARY) $(OBJS)
		$(RANLIB) $(LIBRARY)

clean:
		rm -f *.o *~ core *.trace *.f

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS)

pack:	$(PACKFILE) packs

packs: $(SRCS:.F=.pac)
	$(MD) $(PACKDIR)
	$(MV) $(PACKFILE) $(PACKDIR)/gftool

$(PACKFILE):
	$(RM) $(PACKFILE)
	$(TOUCH) $(PACKFILE)

###
gfopen.o: $(INCDIR)/gzsize.F
gfrdts.o: $(INCDIR)/gzsize.F
gfread.o: $(INCDIR)/gzsize.F
gfropq.o: $(INCDIR)/gzsize.F
gfwrit.o: $(INCDIR)/gzsize.F
